/*!
 * (c) Copyright 2024 Swiss Post Ltd.
 */
@use "../bootstrap-overrides" as app;
@use "../mixins/outline";
@use "../functions/forced-colors";

.form-check,
.form-check-input,
.form-check-label {
  cursor: pointer;
}

.form-check-label {
  hyphens: auto;

  @media (forced-colors: active) {
    color: ButtonText;

    &:hover,
    .form-check-input:hover ~ &,
    .form-check-input:focus ~ & {
      color: Highlight;
    }
  }
}

.form-check-input {

  &:focus-visible {
    @include outline.outer;
  }

  @media (forced-colors: active) {
    &,
    &:checked {
      border-color: ButtonText;
    }

    &:hover,
    &:focus,
    &:checked:focus {
      border-color: Highlight;
    }

    .form-switch & {
      background-color: ButtonFace;
      background-image: forced-colors.button-text(app.$form-switch-bg-image, app.$form-switch-color);

      &:focus,
      &:hover {
        background-image: forced-colors.highlight(app.$form-switch-bg-image, app.$form-switch-color);
      }
    }

    .form-switch &:checked {
      background-color: ButtonText;
      background-image: forced-colors.button-face(app.$form-switch-bg-image, app.$form-switch-color);

      &:focus,
      &:hover {
        background-color: Highlight;
      }
    }
  }
}

.form-check-lg {
  padding-left: 2rem;

  .form-check-input {
    width: 1.5rem;
    height: 1.5rem;
    margin-left: -2rem;
    margin-top: (app.$line-height-base - 1.5rem) * .5; // line-height minus check height
  }
}
